Bug 8495 - (int-154377) "SIP audio" buttons active with no SIP accounts active
(int-154377)
: "SIP audio" buttons active with no SIP accounts active
Status: RESOLVED FIXED
Product: Contacts
General
: 5.0/(2.2009.51-1)
: N900 Maemo
: Unspecified normal with 1 vote (vote)
: 5.0/(10.2010.19-1)
Assigned To: unassigned
: contacts-bugs
:
:
: int-146887
:
  Show dependency tree
 
Reported: 2010-01-25 14:36 UTC by Venomrush
Modified: 2010-03-15 20:53 UTC (History)
3 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Venomrush (reporter) 2010-01-25 14:36:35 UTC
SOFTWARE VERSION:
2.2009.51-1

EXACT STEPS LEADING TO PROBLEM: 
1. This is an extended bug report from bug 8022
2. Connect to the Internet via Wifi or Network carrier
3. Ensure a SIP account is setup and logged off (no green circle)
4. Select a contact you want to make a SIP call

EXPECTED OUTCOME:
The 'SIP audio' button shouldn't be shown as device is not logged to a SIP
account

ACTUAL OUTCOME:
The 'SIP audio' button shown, tapping that will crash (bug 8022)

REPRODUCIBILITY:
Always
Comment 1 Xavier Claessens 2010-01-29 13:41:45 UTC
If your availability is offline, clicking "SIP audio" button shows an info
banner telling the user that he must be online. No crash observed. That's the
desired behaviour.

What's the phone number you are trying to call? Maybe it has special chars or
missing international code... anything special so I can reproduce?
Comment 2 Lucas Maneos 2010-01-29 14:45:34 UTC
(In reply to comment #1)
> If your availability is offline, clicking "SIP audio" button shows an info
> banner telling the user that he must be online. No crash observed.

Not here at least.  Note that availability offline is not the only case, others
include when no SIP account is enabled, or the enabled ones are not registered.

I actually get this even when the device itself is in offline mode.

> What's the phone number you are trying to call? Maybe it has special chars or
> missing international code... anything special so I can reproduce?

Anything really.  Number styles that trigger this include "0xxxxxxxxxx", "+xx
xxxx xxxxxxx" & "0xx xxxxxxxx".  I haven't come across anything that doesn't.
Comment 3 Venomrush (reporter) 2010-01-29 15:38:47 UTC
(In reply to comment #1)
> If your availability is offline, clicking "SIP audio" button shows an info
> banner telling the user that he must be online. No crash observed. That's the
> desired behaviour.

What firmware version are you using?
Crashes everytime for us here running 2.2009.51-1 (see bug 8022)
Comment 4 Xavier Claessens 2010-02-03 13:02:46 UTC
The crash will be fixed in the next firmware update (see bug #8022).

Then you'll see an info banner telling you that your presence must be online,
which is the desired behaviour.

So I think we can close this bug as well.
Comment 5 Lucas Maneos 2010-02-16 15:32:59 UTC
Seems fine after today's update.  With no "use for telephone numbers" SIP
accounts configured the "SIP audio" buttons do not appear at all.  With
appropriate SIP accounts configured but offline an "Availability must be online
to perform this action" notification appears.  No crash.
Comment 6 Xavier Claessens 2010-02-16 16:01:12 UTC
As I said on bug #8022, the crash is not fixed in the public release made
today, nothing changed in contacts application.
Comment 7 Lucas Maneos 2010-02-16 16:07:18 UTC
Updating accordingly, sorry for the noise.
Comment 8 Andre Klapper maemo.org 2010-03-15 20:53:23 UTC
Setting explicit PR1.2 milestone (so it's clearer in which public release the
fix will be available to users).

Sorry for the bugmail noise (you can filter on this message).